> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Admin only: Get products for a given tenant



## OpenAPI

````yaml /openapi.json get /products
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /products:
    get:
      tags:
        - config
        - debug
      summary: 'Admin only: Get products for a given tenant'
      operationId: ConfigController_getProductsForTenant
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetProductsForTenantOutput'
        '400':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/InvalidTenantErrorDto'
              examples:
                INVALID_TENANT:
                  $ref: '#/components/schemas/InvalidTenantErrorDto'
          description: ''
components:
  schemas:
    GetProductsForTenantOutput:
      type: object
      properties:
        products:
          type: array
          items:
            $ref: '#/components/schemas/ProductDto'
      required:
        - products
    InvalidTenantErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_TENANT
        message:
          type: string
          example: Invalid tenant {tenant}
        details:
          $ref: '#/components/schemas/InvalidTenantDetailsDto'
      required:
        - code
        - message
        - details
    ProductDto:
      type: object
      properties:
        id:
          type: string
      required:
        - id
    InvalidTenantDetailsDto:
      type: object
      properties:
        tenant:
          type: string
      required:
        - tenant

````